#!/usr/bin/env python
# coding: utf-8

# In[1]:


##### daal4py linear regression example for shared memory systems #####
import daal4py as d4p
from sklearn.datasets import load_boston
from sklearn.model_selection import train_test_split
import pandas as pd
import numpy as np
import pickle
import os


# In[2]:


# loading in the data
data = load_boston()

# organizing variables used in the model for prediction
X = data.data # house characteristics
y = data.target[np.newaxis].T # house price
param3 = data.target[np.newaxis].T # house price
# splitting the data for training and testing, with a 25% test dataset size
X_train, X_test, y_train, y_test, param3_train, param3_test = train_test_split(X, y, param3, test_size = 0.25, random_state =1693)


# In[6]:


# training the model for prediction
train_result2 = d4p.decision_forest_regression_training(nTrees = 100).compute(X_train, y_train)

pred2 = d4p.decision_forest_regression_prediction().compute(X_test, train_result2.model).prediction

train_result3 = d4p.decision_forest_regression_training(nTrees = 100).compute(X_train, y_train, param3_train)

pred3 = d4p.decision_forest_regression_prediction().compute(X_test, train_result3.model).prediction

print("PRED 2 \n" , pred2)
print("PRED 3 \n" ,pred3)


# In[ ]:




